Bug 208408 - Fix and polish UI of results views
Fix and polish UI of results views
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
7.1
All All
: P3 (vote)
: 7.2
Assigned To: Jiri Sedlacek
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-14 16:46 UTC by Jiri Sedlacek
Modified: 2012-02-28 10:50 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2012-02-14 16:46:25 UTC
There are many profiler views like:

 - live results (cpu, memory, history)
 - snapshots (cpu, memory)
 - snapshots comparisons
 - heap walker
 - VM telemetry
 - threads

which use similar UI structure, but the actual appearance differs in details like margins and borders. The UI should be unified and cleaned up.
Comment 1 Jiri Sedlacek 2012-02-14 16:48:11 UTC
Toolbars appearance already fixed separately in #208264, #208275 and #208269.
Comment 2 Jiri Sedlacek 2012-02-14 16:52:34 UTC
Introduced ResultsView to unify implementation & appearance of various profiler views: http://hg.netbeans.org/profiler-main/rev/53fa7a3240d4.
Comment 3 Jiri Sedlacek 2012-02-14 17:33:49 UTC
Toolbars appearance fixed separately in #208418.
Comment 4 Jiri Sedlacek 2012-02-15 16:25:19 UTC
Cleaned up borders and polished the results UI: http://hg.netbeans.org/profiler-main/rev/742aebfc4cf3.
Comment 5 Quality Engineering 2012-02-21 10:55:49 UTC
Integrated into 'main-golden', will be available in build *201202210400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/53fa7a3240d4
User: Jiri Sedlacek <jis@netbeans.org>
Log: Part of #208408 - use ResultsView for unified results UI
Comment 6 Jiri Sedlacek 2012-02-21 12:01:29 UTC
Improved results appearance on Mac OS X (JTabbedPane border): http://hg.netbeans.org/profiler-main/rev/9cc586bf5714
Comment 7 Jiri Sedlacek 2012-02-21 12:02:14 UTC
Implemented new FilterComponent, fixed treetable filters: http://hg.netbeans.org/profiler-main/rev/55b5afe23337
Comment 8 Jiri Sedlacek 2012-02-21 13:18:10 UTC
Unified profiler toolbar height (fixes problems on Mac OS X): http://hg.netbeans.org/profiler-main/rev/08afb6de2ee4
Comment 9 Jiri Sedlacek 2012-02-21 13:20:54 UTC
UI fixed.
Comment 10 Quality Engineering 2012-02-22 11:03:15 UTC
Integrated into 'main-golden', will be available in build *201202220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/53fa7a3240d4
User: Jiri Sedlacek <jis@netbeans.org>
Log: Part of #208408 - use ResultsView for unified results UI
Comment 11 Quality Engineering 2012-02-28 10:50:54 UTC
Integrated into 'main-golden', will be available in build *201202280400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/742aebfc4cf3
User: Jiri Sedlacek <jis@netbeans.org>
Log: Part of #208408 - cleanup results UI (mainly borders etc.)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo